试试这个:
- (defun c:aSze (/ *error* scl uFlag ActiveSelSet)
- (vl-load-com)
- (setq doc (cond (doc) ((vla-get-ActiveDocument
- (vlax-get-Acad-Object)))))
- (defun *error* (msg)
- (and uFlag (vla-EndUndomark doc))
- (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")
- (princ (strcat "\n** Error: " msg " **")))
- (princ))
-
- (if (and (setq scl (getreal "\nSpecify Scale Factor: "))
- (ssget "_:L" '((0 . "*LEADER"))))
- (progn
- (setq uFlag (not (vla-StartUndoMark doc)))
-
- (vlax-for object (setq ActiveSelSet (vla-get-ActiveSelectionSet doc))
- (vlax-put-property object 'ArrowHeadSize
- (* (vlax-get-property object 'ArrowHeadSize) scl)))
- (vla-delete ActiveSelSet)
- (setq uFlag (vla-EndUndoMark doc))))
- (princ))
-
-
-
-
|